<?php
/*
Plugin Name: Flower Photos
Plugin URI: http://www.blumenversand-weltweit.de/
Description: Flower Photos puts beautiful flower descriptions and photos in your blog. Add the shortcode [flower-photos] to display the content.
Version: 1.0
Author: blumenversand
Author URI: http://www.blumenversand-weltweit.de/
License: GPL3
*/


$fpplugin_url = trailingslashit( get_bloginfo('wpurl') ) . PLUGINDIR.'/'. dirname( plugin_basename(__FILE__) );

add_action('init', 'FlowerPhotos_Init');

function FlowerPhotos_Init()
{ 
    add_shortcode('flower-photos', 'fpdisplay'); 
}

function fpdisplay()
{
	global $fpplugin_url;
	$newvalue = rand(1, 3);
	switch ($newvalue) {
		case "1":
		$image = "flower_01.jpg";
        break;
        case "2":
        $image = "flower_02.jpg";
        break;
        case "3":
        $image = "flower_03.jpg";
        break;
	}
	return '<img src="'.$fpplugin_url.'/images/'.$image.'" />';
}
?>
